<bugID>1161014<Summary>The Reader View promo panel is not adapting properly to window and screen size</Summary><Description>Reproducible on:
Nightly 40.0a1 (2015-05-03)

Affected platforms:
Windows 7 (x64), Ubuntu 14.04 (x64), Mac OS X 10.9.5

Steps to reproduce:
1. Launch Firefox with a clean profile.
2. Reduce browser window width and place the window close to the left edge of the display.
3. Open a Reader View compatible page, e.g. http://www.bbc.com/news/world-asia-32574769
4. Resize the browser window to a much larger width.

Expected result:
3.a. The Reader View promo panel is displayed.
3.b. The Reader View promo panel adapts its UI to the screen and browser window size.
4. Modifying the browser window size does not affect the promo panel's UI.

Actual result:
3. http://i.imgur.com/9fN5VIA.png - if there's not enough space at the left side of the screen AND the browser window is narrower, the promo panel is displayed as originating from outside the browser window.
4. http://i.imgur.com/ME0JHiL.png - if the browser window width is significantly increased at once, the panel is temporarily shown as originating from a different spot.</Description></bugID>